@echo off
@echo off
if not exist wsc32_.lib goto CHECK1
del wsc32_.lib
:CHECK1
if not exist mio32_.lib goto CHECK2
del mio32_.lib
:CHECK2
if not exist xydrv32_.lib goto CHECK3
del xydrv32_.lib
:CHECK3
if not exist asdrv32_.lib goto START
del asdrv32_.lib
:START
if "%1" == "16" goto WIN16
if "%1" == "MS" goto MS
if "%1" == "BC" goto BC
if "%1" == "WC" goto WC
if "%1" == "ms" goto MS
if "%1" == "bc" goto BC
if "%1" == "wc" goto WC
if "%1" == "u" goto MSU
if "%1" == "U" goto MSU
echo *** Usage is:
echo *** 'INSTALL 16' for all Win16 compilers.
echo *** 'INSTALL U'  for Win32 "universal", which requires the "declspec"
echo ***              keyword, which is supported in Microsoft Visual C 4.0, 
echo ***              Borland 5.0, Borland C++ Builder 1.0, and Watcom 11.0. 
echo ***              All newer compilers will support "declspec".
echo *** 'INSTALL MS' for Win32 native Microsoft C/C++ (before Visual C).
echo *** 'INSTALL BC' for Win32 native Borland C/C++ (BC 4.0 and 4.5).
echo *** 'INSTALL WC' for Win32 native WATCOM C/C++ (WC 10.5 and 10.6).
echo ***
goto FINI
:WIN16
echo ...Installing Win16 LIB and DLL
REM (Only one version of Win16 DLL and LIB).
copy WSC.H2     WSC.H
goto DONE
:MSU
echo ...Installing Universal (Microsoft) LIB and DLL
copy WSC32U.LIB WSC32.LIB
copy WSC32U.DLL WSC32.DLL
copy MIO32U.LIB MIO32.LIB
copy MIO32U.DLL MIO32.DLL
copy XYDRV32U.LIB XYDRV32.LIB
copy XYDRV32U.DLL XYDRV32.DLL
copy XYDRV32U.LIB ASDRV32.LIB
copy ASDRV32U.DLL ASDRV32.DLL
copy WSC.H2     WSC.H
goto DONE
:MS
echo ...Installing native Microsoft LIB and DLL
copy WSC32M.LIB WSC32.LIB
copy WSC32M.DLL WSC32.DLL
copy MIO32U.LIB MIO32.LIB
copy MIO32M.DLL MIO32.DLL
copy XYDRV32M.LIB XYDRV32.LIB
copy XYDRV32M.DLL XYDRV32.DLL
copy XYDRV32M.LIB ASDRV32.LIB
copy ASDRV32M.DLL ASDRV32.DLL
copy WSC.H1     WSC.H
goto DONE
:BC
echo ...Installing native Borland LIB and DLL
copy WSC32B.LIB WSC32.LIB
copy WSC32B.DLL WSC32.DLL
copy MIO32B.LIB MIO32.LIB
copy MIO32B.DLL MIO32.DLL
copy XYDRV32B.LIB XYDRV32.LIB
copy XYDRV32B.DLL XYDRV32.DLL
copy XYDRV32B.LIB ASDRV32.LIB
copy ASDRV32B.DLL ASDRV32.DLL
copy WSC.H1     WSC.H
goto DONE
:WC
echo ...Installing native Watcom LIB and DLL
copy WSC32W.LIB WSC32.LIB
copy WSC32W.DLL WSC32.DLL
copy MIO32W.LIB MIO32.LIB
copy MIO32W.DLL MIO32.DLL
copy XYDRV32W.LIB XYDRV32.LIB
copy XYDRV32W.DLL XYDRV32.DLL
copy XYDRV32W.LIB ASDRV32.LIB
copy ASDRV32W.DLL ASDRV32.DLL
copy WSC.H1     WSC.H
:DONE
:FINI
